import { Component, OnInit } from '@angular/core';
import { LehrlingService } from '../services/lehrling.service';
import { Observable } from 'rxjs';
import { Lehrling } from '../lehrling';

@Component({
  selector: 'app-list-lehrlinge',
  templateUrl: './list-lehrlinge.component.html',
  styleUrls: ['./list-lehrlinge.component.css']
})
export class ListLehrlingeComponent implements OnInit {

  public lehrlinge: any;

  constructor(private Lehrlinge: LehrlingService) { }

  ngOnInit(): void {
    this.Lehrlinge.getLehrlinge().subscribe(
      (
        data: any) => {
        console.log(data);
        this.lehrlinge = data.apprentice;
    })
  }
}
