import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Profession } from '../Profession';

@Injectable({
  providedIn: 'root'
})
export class ProfessionService {

  public $url = "http://localhost/bildungdb/api/profession.php";
  constructor(private http: HttpClient) { }

  getProfessionList() {
    return this.http.get<Profession[]>(this.$url);
  }
}
