import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Pruefung } from '../Pruefung';

@Injectable({
  providedIn: 'root'
})
export class PruefungService {

  public $url = "http://localhost/bildungdb/api/pruefung.php";
  
  constructor(private http: HttpClient) { }

  getPruefungen() {
    return this.http.get<Pruefung[]>(this.$url);
  }

}
